Subject: RE: bug#25096: shr: Add a customizable face for links after being clicked

From: Drew Adams <[email-masked]>
Date: Fri, 2 Dec 2016 11:13:35 -0800 (PST)

> It is often confusing that after clicking on a link to visit it in
> an external browser, you are not really sure whether it has been really
> clicked. Browsers such as Firefox use a dashed box to indicate that.
> It would be nice if shr also supports this feature.

Where do you see such links, in Emacs?

There is already face `link-visited', which is for visited links,
as opposed to face `link', which is for unvisited links.

And in Info, there is face `info-xref-visited', which is for visited
links, as opposed to `info-xref', which is for unvisited links.

For another context, Emacs could do something similar.  What is
the face you see now, for the links you are interested in?  Is it
`link'? `custom-link'?

No doubt it is the context (mode) where you are clicking the link
that needs to DTRT: use a visited-link face after you use a link.
What is that context?